Bug 151603 - debug files in non-debug totem package
debug files in non-debug totem package
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: totem (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-20 14:20 EST by Adrian Reber
Modified: 2013-03-13 00:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-11 10:08:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adrian Reber 2005-03-20 14:20:39 EST
$ rpm -q totem
totem-0.101-4
$ rpm -ql totem | grep debug
/usr/lib/debug
/usr/lib/debug/usr
/usr/lib/debug/usr/bin
/usr/lib/debug/usr/bin/totem-video-thumbnailer.debug
/usr/lib/debug/usr/bin/totem.debug
/usr/lib/debug/usr/lib
/usr/lib/debug/usr/lib/libtotem-plparser.so.0.0.0.debug
/usr/lib/debug/usr/lib/nautilus
/usr/lib/debug/usr/lib/nautilus/extensions-1.0
/usr/lib/debug/usr/lib/nautilus/extensions-1.0/libtotem-properties-page.so.debug

These files are also in the debuginfo package and shouldn't be in the binary rpm.

The package also owns many directories which don't belong in the totem package:
/usr/lib
/usr/lib/mozilla
/usr/lib/nautilus
/usr/lib/pkgconfig

In the %files section of the spec files the following lines are responsible for
these errors:
%{_libdir}
%{_libdir}/pkgconfig
Comment 1 Bastien Nocera 2005-05-10 17:26:29 EDT
Is this an error of some kind? Totem didn't ship with Fedora in Fedora Core 1.
Comment 2 Adrian Reber 2005-05-11 01:29:25 EDT
This isn't on FC1 this is with totem from rawhide. Or better it was. The update
from totem-0.101-4 to current (totem-1.0.1-1) fixed this bug. Can be closed.

Note You need to log in before you can comment on or make changes to this bug.